aboutsummaryrefslogtreecommitdiffstats
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh24
1 files changed, 24 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000000..2c8f38f06d
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+if ! [ -d ./install ]; then
+ echo "ERROR: You must build Xen before it can be installed."
+ echo " For example, 'make dist'."
+ exit 1
+fi
+
+prefix='/'
+if [ $# -ne 0 ]; then
+ prefix=$1
+fi
+
+if ! [ -d $prefix ]; then
+ echo "ERROR: You must specify a valid install directory."
+ echo " The specified directory '$prefix' is not valid."
+ exit 1
+fi
+
+echo "Installing Xen to '$prefix'..."
+cp -fdR ./install/* $prefix
+echo "All done."
+
+exit 0